
# examples_with_replication.sh

erlc -v -W +debug_info examples_with_replication.erl

mkdir -p example_bdb_data_dir_site1
mkdir -p example_bdb_data_dir_site2
mkdir -p example_bdb_data_dir_site3

# Note that berkeley_db_drv.so must be in the Erlang *code* path 
# (that happens to already be the case with this example).
#
# Also, we need the original LD_LIBRARY_PATH for libcoredumper.so and libpcre.so

# echo Now trying example_API_set_1

LD_LIBRARY_PATH=../../../BerkeleyDB.4.5/lib:$(LD_LIBRARY_PATH) \
erl -sname examples_with_replication  -s examples_with_replication example_API_set_1

echo Now trying example_API_set_2

LD_LIBRARY_PATH=../../../BerkeleyDB.4.5/lib:$(LD_LIBRARY_PATH) \
erl -sname examples_with_replication  -s examples_with_replication example_API_set_2
